<?php
/*
    Forum - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.2 (05 January 2003)   : created databases thread.dtb and forum.dtb for quicker display of forum threads
      v1.6 (23 January 2003)   : display 10 forum messages rather than 5
                                 added option to hide on the site the e-mail address of poster
      v1.7 (28 January 2003)   : corrected a forum bug the m returned value was false in version 1.6
      v1.8 (05 February 2003)  : added forum category management
      v2.0 (27 February 2003)  : added links to jump back in thread and forum (by Alex)
      v2.1 (10 March 2003)     : added addslashes() to var in Javascript functions (to avoid errors)
      v2.2 (22 April 2003)     : option for choosing the number of items to display in news, forum threads, links, downloads, FAQ and Guestbook
                                 replaced <P><CENTER> by <P align="center"> otherwise IE takes the default font instead of the required one (Thanks Michel)
                                 cleanup in the images organization
      v2.3 (27 July 2003)      : added direct jump to pages (by Nicolas Alves and Laurent Duveau)
                                 upgraded WriteMailTo() function for better SPAM protection (thanks Michel)
      v2.4 (24 September 2003) : added section icon in central boxes
                                 added number of times a forum thread was read (by Nicolas Alves and Laurent Duveau)
                                 added ReadDocCounter(), WriteDocCounter() and UpdateDocCounter() functions
                                 added GetCurrentDateTime() and FormatDate() function to ease various date and time formatings
                                 reviewed all Files Read & Write functions
                                 secured transfered parameters
                                 created $typ_[name] variables
                                 upgraded forum indexes for a smaller size
      v3.0 (25 February 2004)  : added link to Forum Archive
      v4.0 (06 December 2004)  : added page title (by Jean-Mi)
                                 added background-colors, new appearance and img buttons (by Icare)
                                 added alt tags to img and removed border tag for non-linked img,
                                 added the forum style management, replaced & by &amp; for W3C compliance (by Isa)
                                 added new navigation, avatars, optionnal quick admin and Read last msg (by Nicolas Alves)
      v4.5 (30 March 2005)     : replacing navigation bar (by Jean-Mi)
*/

header("Pragma: no-cache");
define("CHEMIN", "");
include("inc/includes.inc");

if ($serviz[13] != "on") {
  exit($web143);
}
$pg = strip_tags($pg);
$cat = strip_tags($cat);
$id = strip_tags($id);

function SelectDBForumByID($Fields,$id) {
  $DataDB = array();
  $k = 0;
  for ($i = 0; $i < count($Fields); $i++) {
    if ($Fields[$i][2] == $id) {
      for ($j = 0 ; $j < count($Fields[$i]); $j++) {
        $DataDB[$k][$j] = $Fields[$i][$j];
      }
      $k++;
    }
  }
  return $DataDB;
}

function SelectDBForumByCat($Fields,$ct) {
  $DataDB = array();
  $k = 0;
  for ($i = 0; $i < count($Fields); $i++) {
    if ($Fields[$i][12] == $ct) {
      for ($j = 0 ; $j < count($Fields[$i]); $j++) {
        $DataDB[$k][$j] = $Fields[$i][$j];
      }
      $k++;
    }
  }
  return $DataDB;
}

if (!empty($pg)) {
  $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM),$pg);
  if (count($dbwork) == 0) {
    $dbwork = array();
  }
}
elseif (!empty($cat)) {
  $dbwork = SelectDBForumByCat(ReadDBFields(DBFORUM),$cat);
}
else {
  $dbwork = ReadDBFields(DBFORUM);
}
if ($lng == $lang[0]) {
  $i = 0;
}
else {
  $i = 1;
}
if ($serviz[18] != "on") {
  if (!empty($cat)) {
    $dbworkcat = ReadDBFields(DBFORUMCAT);
    for ($k = 0; $k < count($dbworkcat); $k++) {
      if ($dbworkcat[$k][0] == $cat) {
        $catxt = $dbworkcat[$k][1+$i];
      }
    }
    $topmess = $nom[$i+22]." - ".$catxt;
  }
  else {
    $topmess =$nom[$i+22];
  }
}
else {
  if (!empty($cat)) {
    $dbworkcat = ReadDBFields(DBFORUMCAT);
    for ($k = 0; $k < count($dbworkcat); $k++) {
      if ($dbworkcat[$k][0] == $cat) {
        $catxt = $dbworkcat[$k][1+$i];
      }
    }
    $topmess = "<a href=\"fortopic.php?lng=".$lng."\">".$nom[$i+22]."</a> - ".$catxt;
  }
  else {
    $topmess = "<a href=\"fortopic.php?lng=".$lng."\">".$nom[$i+22]."</a>";
  }
}
 if ($page[9] != "") {
 $topmess = "<img src=\"".CHEMIN."inc/img/icons/".$page[9]."/forum.gif\" align=\"right\" width=\"32\" height=\"32\" alt=\"forum.gif\">".$topmess;
}
include("inc/hpage.inc");
htable($topmess, "100%");
echo "<br /><br />";
 if ($members[0]=="on" && $userprefs[1]=="" && $members[5]=="on") {
    echo "<p align=\"center\">".$web342."</p><br />";
    echo "<p align=\"center\">[ <a href=\"".CHEMIN."user.php?lng=".$lng."\">".$web343."</a> ]</p><br />";
}
else {
 if ($serviz[18] != "on") {
     $archdate = ReadCounter(DBFORUMARCHDATE);
 if ($archdate > 0) {
?>
<p align="center"><? echo $web228." ".FormatDate($archdate); ?>.<br />
<? echo $web227; ?> <a href="forumarch.php?lng=<? echo $lng ?>"><? echo $web226 ?></a>.<br /></p>
<?
 }
 }
?>
<form action="<? echo CHEMIN ?>postguest.php?lng=<? echo $lng."&amp;typ=".TYP_FORUM; if (!empty($cat)) { echo "&amp;cat=".$cat; } ?>" method="post">
<p align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $web19; ?>" title="<? echo $web19; ?>"><? echo $boutonright; ?></p>
</form>
<?
 if (empty($id)) {
 $id = 1;
}
 if (!empty($dbwork)) {
  for ($i = $serviz[17]*($id-1); $i < Min($serviz[17]*$id, count($dbwork)); $i++) {
    if ($serviz[34] == "on") {
      $threadcounter = ReadDocCounter(DBBASE.$dbwork[$i][2]);
 }
?>
<center>
<table cellspacing="1" class="bord" width="98%">
<tr><td class="forum" width="75"><a href="thread.php?lng=<? echo $lng ?>&amp;pg=<? echo $dbwork[$i][2] ?>&amp;fid=<? echo $id; if (!empty($cat)) { echo "&amp;cat=".$cat; } ?>"><? echo $web63.$dbwork[$i][1]; ?></a></td>
<td class="quest"><a href="thread.php?lng=<? echo $lng ?>&amp;pg=<? echo $dbwork[$i][2] ?>&amp;fid=<? echo $id; if (!empty($cat)) { echo "&amp;cat=".$cat; } ?>"><b><? echo $dbwork[$i][5]; ?></b></a>
<br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
<?
 echo $web6." "; 
 if ($dbwork[$i][10] != "on") {
     $em = BreakEMail($dbwork[$i][4]);
?>
<b><a href="JavaScript:WriteMailTo('<? echo addslashes($dbwork[$i][3]); ?>','<? echo $em[0]; ?>','<? echo $em[1]; ?>','<? echo $em[2]; ?>')"><? echo addslashes($dbwork[$i][3]); ?></a></b>
<?
}
else {
     echo "<b>".$dbwork[$i][3]."</b>";
     }
     echo " ".$web7." ".FormatDate($dbwork[$i][6]);
     if ($dbwork[$i][7] != 0) {
     if ($dbwork[$i][11] != "on") {
         $em = BreakEMail($dbwork[$i][9]);
         $formail = "<b><a href=\"JavaScript:WriteMailTo('".addslashes($dbwork[$i][8])."','".$em[0]."','".$em[1]."','".$em[2]."')\">".addslashes($dbwork[$i][8])."</a></b>";
      }
      else {
        $formail = "<b>".$dbwork[$i][8]."</b>";
      }
      if ($dbwork[$i][7] == 1) {
?>
<br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;<? echo $web93." ".$formail." ".$web94." ".FormatDate($dbwork[$i][0]).")"; ?>
<?
 }
 else {
?>
<br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;<? echo $dbwork[$i][7]." ".$web66." ".$formail." ".$web94." ".FormatDate($dbwork[$i][0]).")"; ?>
<?
 }
 }
 else {
?>
<br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;<? echo $web67; ?>
<?
 }
  if ($serviz[34] == "on") {
     if ($threadcounter <= 1) {
      $txtcount = $web188;
      }
      else {
      $txtcount = $web189;
      }
?>
<br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;<? echo $web217; ?> <? echo $threadcounter." ".$txtcount; ?>
<?
 }
?>
<br /></td></tr></table>
</center>
<?
    if ($i < Min($serviz[17]*$id, count($dbwork))-1) {
      echo "<hr />";
     }
   }
 }
echo GetNavBar("forum.php?lng=".$lng."&amp;cat=".$cat."&amp;id=", count($dbwork), $id, $serviz[17]);
 if ($serviz[18] == "on") {
  if (count($dbwork)<=$serviz[17]) {
    echo "<hr />";
 }
?>
<form action="<? echo CHEMIN ?>fortopic.php?lng=<? echo $lng ?>" method="post">
<p align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $web134; ?>" title="<? echo $web70; ?>"><? echo $boutonright; ?></p>
</form>
<?
 }
}
btable();
include("inc/bpage.inc");
?>