<?
/*
    Left Papers Box - GuppY PHP Script -  version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.1 (02 January 2002)   : no change
      v1.2 (05 January 2003)   : created database art.dtb for quicker display
                                 this new database is managed by the UpdateDBArt() function
      v2.2 (22 April 2003)     : file renamed and split from boxart.inc to boxartg.inc and boxartd.inc
                                 added another box for articles in order to split articles in 2 main categories (by Nicolas Alves)
      v2.3 (27 July 2003)      : added dynamic menu option
      v2.4 (24 September 2003) : split dynamic menu line if line too long
                                 dynamic menus are now centered in box (thanks Pavol)
                                 added option for choosing Articles mark (thanks Pavol)
      v3.0 (25 February 2004)  : added skin management (by Nicolas Alves)
                                 added dynamic list menu (thanks Graznok and Icare)
      v4.0 (06 December 2004)  : added box specific style (by Isa)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 replaced & by &amp; in URLs to be more standard compliant (by Isa)
      v4.5 (05 June 2005)      : replacing table by div (by Icare)
                                 selected submenu staying opened, mark on selected article (by Nico and Icare)                             
*/

if (stristr($_SERVER["SCRIPT_NAME"], "boxartg.inc")) {
  header("location:../index.php");
  die();
}

if ($lng == $lang[0]) {
  $i = 0;
}
else {
  $i = 10;
}
htable1($nom[$i+4], "100%");
$dbw = ReadDBFields(DBART);
if (!empty($dbw)) {
  if ($lng == $lang[0]) {
    $j = 0;
  }
  else {
    $j = 1;
  }
  $k = 0;
  $arttbl = array();
  $curr_rubr = "";
  $curr_art = "";
  for ($i = 0; $i < count($dbw); $i++) {
    if (($serviz[22] == "on" && $dbw[$i][5] != "right") || $serviz[22] != "on") {
      if (trim($dbw[$i][0+$j]) != "") {
        $arttbl[$k][0] = trim($dbw[$i][0+$j]);
        $arttbl[$k][1] = trim($dbw[$i][2+$j]);
        $arttbl[$k][2] = $dbw[$i][4];
        if ($pg == $dbw[$i][4]) {
           $curr_rubr = $arttbl[$k][0];
           $curr_art = $arttbl[$k][2];
        }
        $k++;
      }
    }
  }
  @sort($arttbl);
  
  $rubr = "";
  $marqueur = $texte[3];
  $curr_marq = "&nbsp;<img src='".CHEMIN."inc/img/general/puce2.gif'>";
  $url = CHEMIN.'articles.php?lng='.$lng.'&amp;pg=';
  switch ($serviz[25]) {
  case "0" : // liste de menu
    for ($i = 0; $i < count($arttbl); $i++) {
        if ($rubr <> $arttbl[$i][0]) {
        if (!empty($rubr)) {
          echo "\n</ul>";
        }
            $rubr = $arttbl[$i][0];
        echo "\n".'<span class="box"><b>'.$rubr.'</b></span><ul class="art">';
        }
        echo "\n".'<li class="art">';
        if ($curr_art == $arttbl[$i][2]) {
           echo "\n".$curr_marq."&nbsp;<a class=\"box2\" href=\"".$url.$arttbl[$i][2]."\">".$arttbl[$i][1]."</a>";
        }
        else {
           echo "\n".$marqueur."&nbsp; <a class=\"box\" href=\"".$url.$arttbl[$i][2]."\">".$arttbl[$i][1]."</a>";
        }
        echo "</li>";
    }
    echo "\n".'</ul>';
    break;
  
    case "1" : // menu dynamique
    echo "\n".'<form name="artg" action="" method="POST"><p align="center">';
    for ($i = 0; $i < count($arttbl); $i++) {
        if ($rubr <> strip_tags($arttbl[$i][0])) {
        if (!empty($rubr)) {
                echo '</select>';
        }
            $rubr = strip_tags($arttbl[$i][0]);
        $maxlen = max(strlen($rubr), 25);
            echo "\n".'<select size="1" onchange="document.artg.action=this.value; document.artg.submit();" style="width:135px">';
            echo "\n".'<option>'.$rubr.'</option>';
        }
        echo "\n".'<option value="'.$url.$arttbl[$i][2].'">&nbsp;&nbsp;'.$marqueur.'&nbsp;'.substr(strip_tags($arttbl[$i][1]), 0, $maxlen).'</option>';
    }
    if (!empty($rubr)) {
        echo '</select>';
    }
    echo '</p></form>'."\n";
      break;
  
    case "2" : // menu liste dynamique n1
    $openimg = CHEMIN."inc/img/general/plus.gif";
    $closeimg = CHEMIN."inc/img/general/minus.gif";
    case "3" : // menu liste dynamique n2
    if ($serviz[25] == "3") {
        $openimg = CHEMIN."inc/img/general/open.gif";
        $closeimg = CHEMIN."inc/img/general/close.gif";
    }
    $l = 0;
    for ($i = 0; $i < count($arttbl); $i++) {
        if ($rubr <> $arttbl[$i][0]) {
           if (!empty($rubr)) {
              echo "</div>";
           }
           $rubr = $arttbl[$i][0];
           $l++;
           echo "\n".'<div id="gplus'.$l.'" class="box" style="'.($rubr != $curr_rubr ? 'display:block;' : 'display:none;').'cursor:pointer" ';
           echo "onclick=\"cache('gplus".$l."'); montre('gmoins".$l."'); montre('gitems".$l."');\">";
           echo '<img src="'.$openimg.'" border="0" alt="+" title="+">&nbsp;<b>'.$rubr.'</b></div>';
           echo "\n".'<div id="gmoins'.$l.'" class="box" style="'.($rubr == $curr_rubr ? 'display:block;' : 'display:none;').'cursor:pointer" ';
           echo "onclick=\"cache('gitems".$l."'); cache('gmoins".$l."'); montre('gplus".$l."')\">";
           echo '<img src="'.$closeimg.'" border="0" alt=" - " title=" - ">&nbsp;<b>'.$rubr.'</b></div>';
           echo "\n".'<div id="gitems'.$l.'" style="'.($rubr == $curr_rubr ? 'display:block;' : 'display:none;').'margin-left:4px">';
        }
        if ($curr_art == $arttbl[$i][2]) {
           echo "\n".$curr_marq."<a class=\"box2\" href=\"".$url.$arttbl[$i][2]."\">&nbsp;".$arttbl[$i][1]."</a><br />";
        }
        else {
           echo "\n".$marqueur." <a class=\"box\" href=\"".$url.$arttbl[$i][2]."\">&nbsp;".$arttbl[$i][1]."</a><br />";
        }
     }
     if (!empty($rubr)) {
       echo '</div>'."\n";
     }
     break;
   }
   if ($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) {
      echo "<p align=\"right\"><a href=\"".CHEMIN."admin/admin.php?lng=".$lng."&amp;pg=art\"><img src=\"".CHEMIN."inc/img/general/edit.gif\" border=\"0\" alt=\"".$web308."\" title=\"".$web308."\"></a></p>";
   }
}
btable1();
?>
